
Figure - Bug #118601
IOVDEV-33072【内部】【VC1】【0106】【台架】【EE环境】【副屏】打开飞书时，副屏提示“飞书屡次停
止运行”
2023-06-07 10:36 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-07

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230607  9点33分（第268次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

副屏安装了十几个应用（27个支持的应用，比如QQ、QQ音乐HD、今日头条、企业微信、哔哩哔哩HD、应用宝、微信、快手、抖音、

斗鱼、网易云音乐、网易新闻、腾讯视频、芒果TV、酷狗音乐、飞书等）

1.副屏依次打开桌面上的应用，

2.点击“飞书”后立即闪退到桌面

3.再次点击“飞书”

【实际结果】

副屏弹窗提示：“飞书屡次停止运行”---之后一直打不开飞书，重启副屏也不能打开飞书

【期望结果】

副屏正常打开和使用飞书

【备注】：

车架号VIN：HRYTTESTVINMGM400，可从云端获取日志

副屏log地址：https://ofs.human-horizons.com/#/download/index/%2BZ%2Fx%2BYAsfLE%3D

【影响版本】：副屏：01.00.0106.c104，中控：03.02.0088.c103

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-07 14:24 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红
■ 我的分析

启动飞书时，飞书报了下列错误，错误位置在飞书内部代码中, 看样子是在解析什么key出错了

这个需要三方应用自己处理，请确认，谢谢

-----------------

06-07 09:33:24.434 17849 17849 D AndroidRuntime: Shutting down VM

06-07 09:33:24.435 17849 17849 E AndroidRuntime: FATAL EXCEPTION: main

06-07 09:33:24.435 17849 17849 E AndroidRuntime: Process: com.ss.android.lark, PID: 17849

06-07 09:33:24.435 17849 17849 E AndroidRuntime: java.lang.RuntimeException: Unable to instantiate application com.ss.android.lark.app.LarkApplication package

com.ss.android.lark: java.lang.IllegalArgumentException: Cannot parse aesKey:hmacKey

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.LoadedApk.makeApplication(LoadedApk.java:1364)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.ActivityThread.handleBindApplication(ActivityThread.java:6705)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.ActivityThread.access$1500(ActivityThread.java:248)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2054)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

06-07 09:33:24.435 17849 17849 E AndroidRuntime: Caused by: java.lang.IllegalArgumentException: Cannot parse aesKey:hmacKey

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.secure.AesCbcWithIntegrityUtils.a(SourceFile:16777314)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.secure.a.b(SourceFile:131)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.util.share_preference.UserSP.createBaseSharedPreference(SourceFile:16777308)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.util.share_preference.UserSP.createBaseSharedPreference(SourceFile:25)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.util.share_preference.UserSP.<init>(SourceFile:3)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.util.share_preference.UserSP.getInstance(SourceFile:33)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.appsetting.api.d.a(SourceFile:33554483)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.appsetting.api.SettingManager.innerGetString(SourceFile:16777274)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.appsetting.api.SettingManager.get(SourceFile:16777259)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.scs.monitor.settings.a.a(SourceFile:33)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.scs.monitor.PrivacyMonitorImpl.initMonitor(SourceFile:16777284)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.security.integrator.export.InitPrivacyMonitorTask.a_(SourceFile:16777244)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.app.initiator.m.a(SourceFile:33751068)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.app.initiator.m.a(SourceFile:16777277)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.app.f.d.a(SourceFile:16777408)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at com.ss.android.lark.app.LarkApplication.attachBaseContext(SourceFile:16777271)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.Application.attach(Application.java:331)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.Instrumentation.newApplication(Instrumentation.java:1179)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     at android.app.LoadedApk.makeApplication(LoadedApk.java:1356)

06-07 09:33:24.435 17849 17849 E AndroidRuntime:     ... 10 more

-----------------

#2 - 2023-06-17 18:50 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

通过日志分析得出是飞书内部报错

#3 - 2023-06-17 18:50 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED
#4 - 2023-06-17 18:50 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

0933副屏提示飞书屡次停止运行.7z 336 KB 2023-06-07 CD TEST-方永红

9点33分副屏打不开飞书，提示飞书屡次停止运行.mp4 3.26 MB 2023-06-07 CD TEST-方永红
